summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJustin Lecher <jlec@gentoo.org>2016-01-25 08:53:34 +0100
committerJustin Lecher <jlec@gentoo.org>2016-01-25 08:53:34 +0100
commit1e2643d7d16cf3d38cd125a2964feed3df78dca6 (patch)
tree08b7d1d5b55fa7ca4bc68b1aa5e595a6ed090747 /app-emacs/pymacs/pymacs-0.25-r2.ebuild
parentdev-python/send2trash: Add python3.5 support (diff)
downloadgentoo-1e2643d7d16cf3d38cd125a2964feed3df78dca6.tar.gz
gentoo-1e2643d7d16cf3d38cd125a2964feed3df78dca6.tar.bz2
gentoo-1e2643d7d16cf3d38cd125a2964feed3df78dca6.zip
app-emacs/pymacs: Properly remove version from python command
Package-Manager: portage-2.2.27 Signed-off-by: Justin Lecher <jlec@gentoo.org>
Diffstat (limited to 'app-emacs/pymacs/pymacs-0.25-r2.ebuild')
-rw-r--r--app-emacs/pymacs/pymacs-0.25-r2.ebuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/app-emacs/pymacs/pymacs-0.25-r2.ebuild b/app-emacs/pymacs/pymacs-0.25-r2.ebuild
index 15852acb6d4..1ff5ae5e018 100644
--- a/app-emacs/pymacs/pymacs-0.25-r2.ebuild
+++ b/app-emacs/pymacs/pymacs-0.25-r2.ebuild
@@ -23,6 +23,13 @@ RDEPEND=""
DISTUTILS_IN_SOURCE_BUILD=1
SITEFILE="50${PN}-gentoo.el"
+python_prepare_all() {
+ sed \
+ -e '/pymacs-python-command/s/@PYTHON@/python/' \
+ -i pymacs.el.in || die
+ distutils-r1_python_prepare_all
+}
+
# called by distutils-r1 for every python implementation
python_configure() {
# pre-process the files but don't run distutils
@@ -40,11 +47,6 @@ python_compile_all() {
python_install_all() {
elisp_src_install
- sed \
- -e '/pymacs-python-command/s:"python.*:"python":g' \
- -i "${ED}"/${SITELISP}/pymacs/pymacs.el || die
- elisp-compile "${ED}"/${SITELISP}/pymacs/pymacs.el
-
distutils-r1_python_install_all
dodoc pymacs.rst
use doc && dodoc pymacs.pdf